# Cancel transfer transactions

Cancels transfers that are scheduled to be executed in the future.

Endpoint: POST /transfers/bulk/cancel
Version: v3
Security: auth_token, api-key

## Request fields (application/json):

  - `cancellations` (array, required)
    Contains the details of the transactions to be cancelled.

  - `cancellations.id` (string, required)
    The id of the transaction.

  - `cancellations.cancellationReason` (string)
    The reason the scheduled transaction was cancelled.

## Response 200 fields (application/json):

  - `cancellations` (array, required)
    Contains the cancellation details for each of the transactions.

  - `cancellations.id` (string, required)
    The id of the transaction.

  - `cancellations.state` (string, required)
    Enum: "SUCCESS", "ERROR"

  - `cancellations.errorCode` (string)
    Indicates the reason why the cancel operation could not be executed.
May be included in the response if the state is "ERROR".

- "GENERIC": A generic error has occurred.
- "TRANSACTION_NOT_SCHEDULED": The transaction is not in state SCHEDULED.
- "FORBIDDEN": The current user is not allowed to access this transaction.
- "NOT_FOUND": The transaction does not exist.
    Enum: "GENERIC", "TRANSACTION_NOT_SCHEDULED", "FORBIDDEN", "NOT_FOUND"

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)


## Response 401 fields

## Response 429 fields

## Response 500 fields

## Response 503 fields
